1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Error code #1000: Generic WUI error. AI core finished with exit code 127

Discussion in 'Plesk Expand 2.2 Troubleshooting Issues' started by actspecialists, Feb 25, 2008.

  1. actspecialists

    actspecialists Guest

    0
     
    While attempting to run the Expand Webinstall on CentOS 5 (64-bit) the "Uploading AutoInstaller core" completes 100% and then errors with "Error code #1000: Generic WUI error. AI core finished with exit code 127".

    I have discovered that ssh port 22 needed to be opened inbound on my firewall and "Compression yes" added to my sshd_config file.

    I have disabled selinux. Ports 80 and 443 are allowed outbound.

    I run an "Default Deny" firewall. Are there any other ports needed inbound or outbound?

    What does this error mean and how do I resolve it?
     
  2. actspecialists

    actspecialists Guest

    0
     
    Ok, so I just bypassed my firewall and ruled out that as a cause to the issue.
     
  3. actspecialists

    actspecialists Guest

    0
     
    For grins I formated and reinstalled my Expand server. Set "Compression yes" again in sshd_config and attempted to do the web install again with the same results.

    I attempted to run the ai_core utility from the CLI and received the following.


    [root@expand tmp]# chmod +x ai_core.sh
    [root@expand tmp]# ./ai_core.sh
    ai_core.sh: error while loading shared libraries: libslang-utf8.so.1: cannot open shared object file: No such file or directory

    [root@expand tmp]# yum list | grep slang
    slang.x86_64 2.0.6-4.el5 installed

    Prior to reinstalling I was getting a popt.so error. Again, popt was installed.

    [root@expand tmp]# yum list | grep popt
    popt.x86_64 1.10.2-47.el5 installed


    ::perplexed::
     
  4. girin

    girin Guest

    0
     
    Hi,

    Plesk Expand does not support 64-bit OSes yet, as I know.
     
  5. actspecialists

    actspecialists Guest

    0
     
    We must be on the same track. I have been downloading the 32-bit os version as we were writting. I'll post my results.
     
  6. actspecialists

    actspecialists Guest

    0
     
    ok, After installing the 32-bit version of CentOS 5 and setting the sshd Compression to yes I am still running into the same error as before with the web installer.

    Error code #1000: Generic WUI error. AI core finished with exit code 127


    uname -a
    Linux expand.domain.com 2.6.18-53.el5 #1 SMP Mon Nov 12 02:22:48 EST 2007 i686 i686 i386 GNU/Linux
    [root@expand ~]#
     
  7. actspecialists

    actspecialists Guest

    0
     
    New information... I was able to launch the autoinstaller from the shell this time with the 32-bit version of CentOS 5.

    This time the only issue I was having was with the firewall during the download of the packages.

    I placed the server on the outside of my firewall and attempted to use the web installer again without success. So I continued with the install using the autoinstaller from the shell.

    Installation completed without issue and I placed the server behind the firewall once again.
     
  8. ajaisingh2

    ajaisingh2 Guest

    0
     
    Hello

    So it is official that expand does not support Centos 5 64 bits?

    I have not found any official information declaring it

    Thanks
     
  9. Bers

    Bers Basic Pleskian Staff Member

    23
    70%
    Joined:
    Jul 31, 2001
    Messages:
    73
    Likes Received:
    0
    Please see my answer here.
     
Loading...